<?php

/**
 * 
 * Subs.ro API Parser - Implementation Practical Example
 * 
 * @author      Gabriel C. <gabi@subs.ro>
 * @copyright   2013 Gabriel C.
 * @link        http://api.subs.ro
 * @license     N/A
 * @version     2.0.0
 * @package     API Subs Parser
 * @depends     SimpleXMLElement, CURL
 * 
 * Connection reset by beer!
 * 
 */
 
 require 'class.SubsApiParser.php';
 
 // parse by title in XML format
 $type  = 'json';
 $action = 'name';
 $search = 'the hobbit';
 
 $call = new Subs_API_Parser($type, $action, $search);
 $response = $call->getResponse();
 
 var_dump($response);
 
 /*
 * Should generate...
 * array(2) {
  [0]=>
  object(stdClass)#6 (9) {
    ["id"]=>
    string(4) "7958"
    ["title"]=>
    string(10) "The Hobbit"
    ["poster"]=>
    string(49) "http://cdn.subs.ro:8080/media/posters/0077687.jpg"
    ["added"]=>
    string(19) "2007-04-03 19:37:10"
    ["framerate"]=>
    string(3) "N/A"
    ["edited"]=>
    string(19) "2007-09-18 08:11:09"
    ["translater"]=>
    string(1) "?"
    ["link"]=>
    string(41) "http://subs.ro/subtitrare/the-hobbit/7958"
    ["download"]=>
    string(57) "http://slim.dev/download/55b34fd73727d9b1ea2035d7c5388969"
  }
  [1]=>
  object(stdClass)#5 (9) {
    ["id"]=>
    string(5) "38045"
    ["title"]=>
    string(33) "The Hobbit: An Unexpected Journey"
    ["poster"]=>
    string(49) "http://cdn.subs.ro:8080/media/posters/0903624.jpg"
    ["added"]=>
    string(19) "2012-12-27 16:07:56"
    ["framerate"]=>
    string(6) "23.976"
    ["edited"]=>
    string(19) "2013-01-04 01:31:48"
    ["translater"]=>
    string(3) "N/A"
    ["link"]=>
    string(64) "http://subs.ro/subtitrare/the-hobbit-an-unexpected-journey/38045"
    ["download"]=>
    string(57) "http://slim.dev/download/63bad29d7bd81c845450983e8ba6eefc"
  }
}

 */
